import { select, range } from 'd3';
import { fruitBowl } from './fruitBowl';

const svg = select('svg');

const makeFruits = type => ({ type, id: Math.random() });

const render = () => {
	fruitBowl(svg, {
  	fruits,
    height: +svg.attr('height')
  })
}

let fruits = range(5)
	.map(() => makeFruits('apple'));

render();

// Eat an apple
setTimeout(() => {
	fruits.pop();
	render();
}, 1000); 

// Replacing an apple with a lemon
setTimeout(() => {
	fruits[2].type ="lemon";
	render();
}, 2000);  

// Eat another apple
setTimeout(() => {
	fruits = fruits.filter((d,i) => i !== 1)
	render();
}, 3000); 

























